{%- from "ceilometer/map.jinja" import server,agent,upgrade with context %}
{%- set gnocchi_publisher = server.get('publisher', {}).get('gnocchi', {}) %}

ceilometer_task_pkg_latest:
  test.show_notification:
    - text: "Running ceilometer.upgrade.pkg_latest"

policy-rc.d_present:
  file.managed:
    - name: /usr/sbin/policy-rc.d
    - mode: 755
    - contents: |
        #!/bin/sh
        exit 101

{%- set pkgs = [] %}
{%- if server.enabled %}
  {%- do pkgs.extend(server.pkgs) %}
  {%- if gnocchi_publisher.get('create_resources', False) and gnocchi_publisher.get('enabled', False) %}
    {%- do pkgs.append('python-gnocchiclient') %}
  {%- endif %}
{%- endif %}
{%- if agent.enabled %}
  {%- do pkgs.extend(agent.pkgs) %}
{%- endif %}

ceilometer_pkg_latest:
  pkg.latest:
  - names: {{ pkgs|unique }}
  - require:
    - file: policy-rc.d_present
  - require_in:
    - file: policy-rc.d_absent

policy-rc.d_absent:
  file.absent:
    - name: /usr/sbin/policy-rc.d
